Bug 38674 - Policy doesn't show referencing objects
Policy doesn't show referencing objects
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Policies
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Jannik Ahlers
Johannes Keiser
:
Depends on: 33344
Blocks: 35315
  Show dependency treegraph
 
Reported: 2015-06-09 14:27 CEST by Jan Christoph Ebersbach
Modified: 2018-04-25 13:48 CEST (History)
7 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2015-06-09 14:27:46 CEST
I just stumbled upon the issue that in a policy the referencing objects aren't displayed.  My system has UCS@school 4.0 R2 installed.  To reproduce the bug, I opened the UMC policy default-umc-all which appears to have no objects referencing it.  A look at group Domain Admins shows that the policy is actually referenced by this group.
Comment 1 Florian Best univentionstaff 2015-06-09 15:27:17 CEST
Hm, I can't reproduce this on my System (UCS@school DC Master 4.0R2, UCS 4.0-2-errata205 + unreleased).
Comment 2 Alexander Kläser univentionstaff 2015-07-29 18:01:51 CEST
Could be related to Bug 33344.
Comment 3 Ingo Steuwer univentionstaff 2017-09-13 11:16:29 CEST
Seen in UCS 4.2 Errata 159

I have a pwhistory policy connected to one user, but the "Referencing objects" for this policy in UMC is empty. I then switched the language from german to english to create this bug - and now the user is listed and the bug can't be reproduced anymore in the current session.
Comment 4 Ingo Steuwer univentionstaff 2017-09-13 11:20:35 CEST
I can reproduce it in my environment:
- login with german localization
- go to Policies wizard and list all password policies
- no policy has something listed for "Referenzierende Objekte"
- switch language to english
- "Referencing objects" shows resulsts
- switch back to german
- "Referenzierende Objekte" shows results
Comment 5 Jannik Ahlers univentionstaff 2018-04-17 10:54:10 CEST
univention-management-console-module-udm (8.0.5-6)
9d67a0d8edf5 | Bug #38674: Disable cache for policy properties request

Successful build
Package: univention-management-console-module-udm
Version: 8.0.5-6A~4.3.0.201804171051
Branch: ucs_4.3-0
Scope: errata4.3-0
Comment 6 Jannik Ahlers univentionstaff 2018-04-18 09:10:22 CEST
The 'referencing objects' property of policy objects should only be shown in the object's detail page, but not in the creation page. To achieve this, the properties request only returns the referencing objects if a dn is provided in the request.
The problem with this is that the result of the properties request is cached, regardless of a dn being provided or not. This results in the details pages, which send a dn, not having referencing objects if a properties request has been done without a dn before.

To fix this, caching is simply disabled for the policies module.
Comment 7 Johannes Keiser univentionstaff 2018-04-25 10:58:30 CEST
Before patch:

Page reload (cache.js has nothing cached yet):
- Adding object of type policies/pwhistory -> "Referencing objects" is not in
  layout
- Opening Detailspage for policies/pwhistory afterwards returns cached layout
  without "Referencing objects" -> tab is not shown in Detailspage (wrong)

Page reload (cache.js has nothing cached yet):
- Opening Detailspage for policies/pwhistory -> "Referencing objects" tab is shown
  in Detailspage
- Adding object of type policies/pwhistory -> "Referencing objects" is shown in
  layout (wrong)

After patch: 

Page reload (cache.js has nothing cached yet):
- Adding object of type policies/pwhistory -> "Referencing objects" is not in
  layout
- Opening Detailspage for policies/pwhistory afterwards. No cache is used.
  -> tab is shown in Detailspage (OK)

Page reload (cache.js has nothing cached yet):
- Opening Detailspage for policies/pwhistory -> "Referencing objects" tab is
  shown in Detailspage
- Adding object of type policies/pwhistory. No cache is used
  -> "Referencingobjects" is not shown in layout (OK)

OK YAML
-> verified
Comment 8 Arvid Requate univentionstaff 2018-04-25 13:48:04 CEST
<http://errata.software-univention.de/ucs/4.3/22.html>